Main Page Groups Namespaces

# sigc::const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > Class Template Reference
[mem_fun()]

const_mem_functor4 wraps const methods with 4 argument(s). More...

Inheritance diagram for sigc::const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >:

[legend]
List of all members.

## Public Types

typedef T_return(T_obj::* | function_type )(T_arg1, T_arg2, T_arg3, T_arg4) const
typedef T_return | result_type

## Public Member Functions

| const_mem_functor4 ()
| Constructs an invalid functor.
| const_mem_functor4 (function_type _A_func)
| Constructs a const_mem_functor4 object that wraps the passed method.
T_return | operator() (const T_obj* _A_obj, typename type_trait<T_arg1>::take _A_a1, typename type_trait<T_arg2>::take _A_a2, typename type_trait<T_arg3>::take _A_a3, typename type_trait<T_arg4>::take _A_a4) const
| Execute the wrapped method operating on the passed instance.
T_return | operator() (const T_obj& _A_obj, typename type_trait<T_arg1>::take _A_a1, typename type_trait<T_arg2>::take _A_a2, typename type_trait<T_arg3>::take _A_a3, typename type_trait<T_arg4>::take _A_a4) const
| Execute the wrapped method operating on the passed instance.

## Protected Attributes

function_type | func_ptr_

## Detailed Description

### template <class T_return, class T_obj, class T_arg1, class T_arg2, class T_arg3, class T_arg4>
class sigc::const_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >

const_mem_functor4 wraps const methods with 4 argument(s).

Use the convenience function mem_fun() to create an instance of const_mem_functor4.

The following template arguments are used:

- T_arg1 Argument type used in the definition of operator()().
- T_arg2 Argument type used in the definition of operator()().
- T_arg3 Argument type used in the definition of operator()().
- T_arg4 Argument type used in the definition of operator()().
- T_return The return type of operator()().
- T_obj The object type.

## Member Typedef Documentation

template <class T_return, class T_obj, class T_arg1, class T_arg2, class T_arg3, class T_arg4>
typedef T_return(T_obj::* sigc::const_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4>::function_type)(T_arg1,T_arg2,T_arg3,T_arg4) const

| Reimplemented in sigc::bound_const_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4>.

template <class T_return, class T_obj, class T_arg1, class T_arg2, class T_arg3, class T_arg4>
typedef T_return sigc::const_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4>::result_type

## Constructor & Destructor Documentation

template <class T_return, class T_obj, class T_arg1, class T_arg2, class T_arg3, class T_arg4>
sigc::const_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4>::const_mem_functor4 | ( |  | ) | `[inline]`

| Constructs an invalid functor.

template <class T_return, class T_obj, class T_arg1, class T_arg2, class T_arg3, class T_arg4>
sigc::const_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4>::const_mem_functor4 | ( | function_type | _A_func | ) | `[inline, explicit]`

Constructs a const_mem_functor4 object that wraps the passed method.

Parameters:

  _A_func | Pointer to method will be invoked from operator()().

## Member Function Documentation

template <class T_return, class T_obj, class T_arg1, class T_arg2, class T_arg3, class T_arg4>
T_return sigc::const_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4>::operator() | ( | const T_obj& | _A_obj,
|  | typename type_trait<T_arg1>::take | _A_a1,
|  | typename type_trait<T_arg2>::take | _A_a2,
|  | typename type_trait<T_arg3>::take | _A_a3,
|  | typename type_trait<T_arg4>::take | _A_a4
| ) | const`[inline]`

Execute the wrapped method operating on the passed instance.

Parameters:

  _A_obj | Reference to instance the method should operate on.
  _A_a1 | Argument to be passed on to the method.
  _A_a2 | Argument to be passed on to the method.
  _A_a3 | Argument to be passed on to the method.
  _A_a4 | Argument to be passed on to the method.

Returns:
  The return value of the method invocation.

template <class T_return, class T_obj, class T_arg1, class T_arg2, class T_arg3, class T_arg4>
T_return sigc::const_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4>::operator() | ( | const T_obj* | _A_obj,
|  | typename type_trait<T_arg1>::take | _A_a1,
|  | typename type_trait<T_arg2>::take | _A_a2,
|  | typename type_trait<T_arg3>::take | _A_a3,
|  | typename type_trait<T_arg4>::take | _A_a4
| ) | const`[inline]`

Execute the wrapped method operating on the passed instance.

Parameters:

  _A_obj | Pointer to instance the method should operate on.
  _A_a1 | Argument to be passed on to the method.
  _A_a2 | Argument to be passed on to the method.
  _A_a3 | Argument to be passed on to the method.
  _A_a4 | Argument to be passed on to the method.

Returns:
  The return value of the method invocation.

## Member Data Documentation

template <class T_return, class T_obj, class T_arg1, class T_arg2, class T_arg3, class T_arg4>
function_type sigc::const_mem_functor4<T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4>::func_ptr_ `[protected]`

The documentation for this class was generated from the following file:

- mem_fun.h